    POSTDROP(1)                                                        POSTDROP(1)

    NAME
           postdrop - Postfix mail posting utility

    SYNOPSIS
           postdrop [-rv] [-c config_dir]

    DESCRIPTION
           The  postdrop(1)  command  creates a file in the maildrop directory and
           copies its standard input to the file.

           Options:

           -c config_dir
                  The main.cf configuration file is in the named directory instead
                  of the default configuration directory. See also the MAIL_CONFIG
                  environment setting below.

           -r     Use a Postfix-internal protocol for  reading  the  message  from
                  standard input, and for reporting status information on standard
                  output. This is currently the only supported method.

           -v     Enable verbose  logging  for  debugging  purposes.  Multiple  -v
                  options  make  the  software increasingly verbose. As of Postfix
                  2.3, this option is available for the super-user only.

    SECURITY
           The command is designed to run with set-group ID privileges, so that it
           can write to the maildrop queue directory and so that it can connect to
           Postfix daemon processes.

    DIAGNOSTICS
           Fatal errors: malformed input, I/O error, out of memory.  Problems  are
           logged  to  syslogd(8) or postlogd(8) and to the standard error stream.
           When the input is incomplete, or when the process receives a HUP,  INT,
           QUIT or TERM signal, the queue file is deleted.

    ENVIRONMENT
           MAIL_CONFIG
                  Directory  with the main.cf file. In order to avoid exploitation
                  of set-group ID privileges, a non-standard directory is  allowed
                  only if:

                  o      The  name is listed in the standard main.cf file with the
                         alternate_config_directories configuration parameter.

                  o      The command is invoked by the super-user.

    CONFIGURATION PARAMETERS
           The following main.cf parameters are especially relevant to  this  pro-
           gram.   The  text  below  provides  only a parameter summary. See post-
           conf(5) for more details including examples.

           alternate_config_directories (empty)
                  A list of non-default Postfix configuration directories that may
                  be  specified with "-c config_directory" on the command line (in
                  the case of sendmail(1), with  the  "-C"  option),  or  via  the
                  MAIL_CONFIG environment parameter.

           config_directory (see 'postconf -d' output)
                  The  default  location of the Postfix main.cf and master.cf con-
                  figuration files.

           import_environment (see 'postconf -d' output)
                  The list of environment parameters  that  a  privileged  Postfix
                  process  will  import  from  a  non-Postfix  parent  process, or
                  name=value environment overrides.

           queue_directory (see 'postconf -d' output)
                  The location of the Postfix top-level queue directory.

           syslog_facility (mail)
                  The syslog facility of Postfix logging.

           syslog_name (see 'postconf -d' output)
                  A prefix that  is  prepended  to  the  process  name  in  syslog
                  records, so that, for example, "smtpd" becomes "prefix/smtpd".

           trigger_timeout (10s)
                  The  time  limit  for sending a trigger to a Postfix daemon (for
                  example, the pickup(8) or qmgr(8) daemon).

           Available in Postfix version 2.2 and later:

           authorized_submit_users (static:anyone)
                  List of users who are authorized to submit mail with  the  send-
                  mail(1) command (and with the privileged postdrop(1) helper com-
                  mand).

           Available in Postfix version 3.6 and later:

           local_login_sender_maps (static:*)
                  A list of lookup tables that are  searched  by  the  UNIX  login
                  name, and that return a list of allowed envelope sender patterns
                  separated by space or comma.

           empty_address_local_login_sender_maps_lookup_key (<>)
                  The lookup key to be  used  in  local_login_sender_maps  tables,
                  instead of the null sender address.

           recipient_delimiter (empty)
                  The  set of characters that can separate an email address local-
                  part, user name, or a .forward file name from its extension.

    FILES
           /var/spool/postfix/maildrop, maildrop queue

    SEE ALSO
           sendmail(1), compatibility interface
           postconf(5), configuration parameters
           postlogd(8), Postfix logging
           syslogd(8), system logging

    LICENSE
           The Secure Mailer license must be distributed with this software.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

           Wietse Venema
           Google, Inc.
           111 8th Avenue
           New York, NY 10011, USA

                                                                       POSTDROP(1)